;------------------------------------------------------------------------------
;      CES-
; :   (cj_lex)
; mail: cj_lex@mail.ru  
;------------------------------------------------------------------------------
(defun ces_topo_install (program_path / tmp)
  (vl-load-com)
  (if (=(substr program_path (strlen program_path))"\\")
    (setq program_path(substr program_path 1 (1-(strlen program_path))))
  ); end if
  (if (= (strcase(getvar "program")) "ZWCAD")
    (progn
      (if(setq tmp(getenv "ZWCAD"))
        (if(/=(substr tmp (strlen program_path))";")
          (setq tmp(strcat tmp ";"))
        ); end if
        (setq tmp(vla-get-supportpath(vla-get-files(vla-get-preferences(vla-get-application(vlax-get-acad-object))))))
      ); end if
    ); end progn
    (setq tmp(vla-get-supportpath(vla-get-files(vla-get-preferences(vla-get-application(vlax-get-acad-object))))))
  ); end if
  
  (if (findfile (strcat program_path "\\ces_topo.fas"))
    (progn
      ;   
      (vl-registry-write "HKEY_CURRENT_USER\\Software\\CESOFT\\CESTOPO" "INSTALLPATH" program_path)
      
      ;   " "
      (if(getvar "TRUSTEDPATHS")
        (if (vl-string-search (strcase program_path T) (strcase(getvar "TRUSTEDPATHS")T))
          (prompt "\n      ")
          (setvar "TRUSTEDPATHS"(strcat(getvar "TRUSTEDPATHS") ";" program_path))
        ); end if
      ); end if
      
      (if (vl-string-search (strcase program_path T) (strcase tmp T))
        (prompt "\n     ")
        (if (= (strcase(getvar "program")) "ZWCAD")
          (setenv "ZWCAD" (strcat tmp program_path))
          (vla-put-supportpath(vla-get-files(vla-get-preferences(vla-get-application(vlax-get-acad-object))))(strcat tmp ";" program_path))
        ); end if
      ); end if
      (if (getvar "menubar") (setvar "menubar" 1))
      (if(=(strcase(getvar "program"))"ZWCAD")
        (load "ces_topo.zelx")
        (load "ces_topo.fas")
      );end if
      (if ces_topo_menu_reload 
        (progn
          (ces_topo_menu_reload)
          (if GET_MENUGROUPS
            (if (member "CES_TOPO"(GET_MENUGROUPS))
              (alert "  . \n      'CES-'  'CES-'.")
              (progn
                (alert "      .    ,      : http://cesoft.ru/ces_topo/help/chapter_3.htm#install_manual")
                (prompt "      .    ,      : http://cesoft.ru/ces_topo/help/chapter_3.htm#install_manual")
              ); end progn
            ); end if
            (progn
              (alert "      .    ,      : http://cesoft.ru/ces_topo/help/chapter_3.htm#install_manual")
              (prompt "      .    ,      : http://cesoft.ru/ces_topo/help/chapter_3.htm#install_manual")
            ); end progn
          ); end if
        ); end progn
        (progn
          (alert "      .    ,      : http://cesoft.ru/ces_topo/help/chapter_3.htm#install_manual")
          (prompt "      .    ,      : http://cesoft.ru/ces_topo/help/chapter_3.htm#install_manual")
        ); end progn
      ); end if
    ); end progn
    (alert (strcat "!   " program_path "    ces_topo.fas"))
  ); end if
  (princ)
); end defun
(princ)